Description

Currently, we have two (similar) configurations in artdag-utilities-daqginterface/simple_test_config: pdune_swtrig and
pdune_swtrig_noRM.

The first one was a stepping stone toward the second one, and | believe that the first one has now become obsolete. (A few more
details: the first one had both a DFO and a RoutingMaster. The DFO and the SWTrig BR were in one artdaq subsystem, and the RM
and the rest of the BRs and the EBs were in a second subsystem. In this model, the DFO's DataSendermanager got routing tables
from the RM.)

The second config has the preferred model of demonstrating the software trigger at protoDUNE. It uses no RoutingMaster. The
DFO receives the free-buffer tokens from the EventBuilders, and the Data Requests that are sent from the EventBuilders to the
BoardReaders contain the destination to which each fragment should be sent.

| propose to combine these two configs into a new "pdune_swtrig_ DFO" config, and I'll do this work, hopefully soon. This change
shouldn't affect any existing development or integration testing, but | wanted to file this Issue to share information about this change.

Please note that the pdune_swtrig_noRM config only works with artdaq and artdaq_utilities code which is available on
working/22353_protoDFO_* branches. And the new pdune_swtrig_ DFO sample config will also only work with the code that has the
full set of DFO-related changes (see Issue 22535).

History

#1 - 09/04/2019 01:56 PM - Kurt Biery
- Assignee set to Kurt Biery

- Status changed from New to Resolved

| have committed the change to a branch named "feature/23173_combine_configs" in the artdag-utilities-daginterface repository. This branch was
created from the head of the "develop" branch as it existed today, 04-Sep-2019.

I've confirmed that the merged configuration area (pdune_swtrig_ DFO) gives the same results as the earlier pdune_swtrig_noRM config area when
run in the artdag demo.

| added a few features to the new config area, such as enabling the (metric) reporting of Empty and Missing fragments with the FragmentWatcher
module in the event builders.

#2 - 10/23/2019 01:03 PM - Eric Flumerfelt
- Status changed from Resolved to Reviewed

- Co-Assignees Eric Flumerfelt added

Only changes to simple_test_config. This simple_test_config requires RoutingNetOutput, which is currently not available in artdaq, so the string
"pdune_swtrig" will remain in artdag-demo:tools/run_integration_tests.sh ignoredConfigs regex.

#3 - 12/10/2019 11:50 AM - Eric Flumerfelt
- Target version set to Before DAQInterface v3_07_00

- Status changed from Reviewed to Closed
